gtksourceviewmm Enums and Flags

## Enumerations

enum | Gsv::BracketMatchType { Gsv::BRACKET_MATCH_NONE, Gsv::BRACKET_MATCH_OUT_OF_RANGE, Gsv::BRACKET_MATCH_NOT_FOUND, Gsv::BRACKET_MATCH_FOUND }
| Describes result of matching brackets. More...
enum | Gsv::CompletionActivation { Gsv::COMPLETION_ACTIVATION_NONE = 0x0, Gsv::COMPLETION_ACTIVATION_INTERACTIVE = 1 << 0, Gsv::COMPLETION_ACTIVATION_USER_REQUESTED = 1 << 1 }
| An enum type specifying something bla bla bla, probably type of activation. More...
enum | Gsv::GutterRendererState
enum | Gsv::SmartHomeEndType { Gsv::SMART_HOME_END_DISABLED, Gsv::SMART_HOME_END_BEFORE, Gsv::SMART_HOME_END_AFTER, Gsv::SMART_HOME_END_ALWAYS }
| Defines a behaviour of smart Home/End keys. More...
enum | Gsv::DrawSpacesFlags { Gsv::DRAW_SPACES_SPACE = 1 << 0, Gsv::DRAW_SPACES_TAB = 1 << 1, Gsv::DRAW_SPACES_NEWLINE = 1 << 2, Gsv::DRAW_SPACES_NBSP = 1 << 3 , Gsv::DRAW_SPACES_ALL = 0x7F }
| Determines what kind of whitespaces whould be drawn. More...

## Enumeration Type Documentation

enum Gsv::BracketMatchType

Describes result of matching brackets.

Since gtksourceviewmm 3.0:

Enumerator:

  BRACKET_MATCH_NONE | There was no bracket to match.
  BRACKET_MATCH_OUT_OF_RANGE | Matching a bracket failed because the maximum range was reached.
  BRACKET_MATCH_NOT_FOUND | A matching bracket was not found.
  BRACKET_MATCH_FOUND | A matching bracket was found.

enum Gsv::CompletionActivation

An enum type specifying something bla bla bla, probably type of activation.

Since gtksourceviewmm 2.10:

Bitwise operators:
  `CompletionActivation operator|(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator&(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator^(CompletionActivation, CompletionActivation)`
  `CompletionActivation operator~(CompletionActivation)`
  `CompletionActivation& operator|=(CompletionActivation&, CompletionActivation)`
  `CompletionActivation& operator&=(CompletionActivation&, CompletionActivation)`
  `CompletionActivation& operator^=(CompletionActivation&, CompletionActivation)`

Enumerator:

  COMPLETION_ACTIVATION_NONE | None.
  COMPLETION_ACTIVATION_INTERACTIVE | Interactive activation.
  COMPLETION_ACTIVATION_USER_REQUESTED | User requested activation. For example through a keyboard accelerator from the view.

enum Gsv::DrawSpacesFlags

Determines what kind of whitespaces whould be drawn.

Bitwise operators:
  `DrawSpacesFlags operator|(DrawSpacesFlags, DrawSpacesFlags)`
  `DrawSpacesFlags operator&(DrawSpacesFlags, DrawSpacesFlags)`
  `DrawSpacesFlags operator^(DrawSpacesFlags, DrawSpacesFlags)`
  `DrawSpacesFlags operator~(DrawSpacesFlags)`
  `DrawSpacesFlags& operator|=(DrawSpacesFlags&, DrawSpacesFlags)`
  `DrawSpacesFlags& operator&=(DrawSpacesFlags&, DrawSpacesFlags)`
  `DrawSpacesFlags& operator^=(DrawSpacesFlags&, DrawSpacesFlags)`

Enumerator:

  DRAW_SPACES_SPACE | Whether the space character should be drawn.
  DRAW_SPACES_TAB | Whether the tab character should be drawn.
  DRAW_SPACES_NEWLINE | Whether the line breaks should be drawn.
  DRAW_SPACES_NBSP | Whether the non-breaking whitespaces should be drawn.
  DRAW_SPACES_ALL | Whether all kind of whitespaces should be drawn.

enum Gsv::GutterRendererState

Bitwise operators:
  `GutterRendererState operator|(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator&(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator^(GutterRendererState, GutterRendererState)`
  `GutterRendererState operator~(GutterRendererState)`
  `GutterRendererState& operator|=(GutterRendererState&, GutterRendererState)`
  `GutterRendererState& operator&=(GutterRendererState&, GutterRendererState)`
  `GutterRendererState& operator^=(GutterRendererState&, GutterRendererState)`

enum Gsv::SmartHomeEndType

Defines a behaviour of smart Home/End keys.

Enumerator:

  SMART_HOME_END_DISABLED | Smart-home-end disabled.
  SMART_HOME_END_BEFORE | Move to the first/last non-whitespace character on the first press of the HOME/END keys and to the beginning/end of the line on the second press.
  SMART_HOME_END_AFTER | Move to the beginning/end of the line on the first press of the HOME/END keys and to the first/last non-whitespace character on the second press.
  SMART_HOME_END_ALWAYS | Always move to the first/last non-whitespace character when the HOME/END keys are pressed.